

	/*
	 * Attribution des correspondances ID -> Ville -> Position
	 */
	
	var villeAiraq = [
		{ id: 1, ville: "Bordeaux", longitude: -0.57918, latitude:44.83779},
		{ id: 2, ville: "Pau", longitude: -0.37080, latitude:43.29510},
		{ id: 3, ville: "Bayonne", longitude: -1.47484, latitude:43.49295},
		{ id: 4, ville: "Lacq", longitude: -0.61914, latitude:43.41325},
		{ id: 5, ville: "Périgueux", longitude: 0.72111, latitude:45.18403},
		{ id: 6, ville: "Agen", longitude: 0.61636, latitude:44.20314},
		{ id: 7, ville: "Dax", longitude: -1.05194, latitude:43.70861},
		{ id: 8, ville: "Arcachon", longitude: -1.17022, latitude:44.66138}
		//{ id: 9, ville: "Tartas", longitude: -0.80934, latitude:43.83206}
	];
	
	var dataAtmo = [];			
	
	
	//Récupération du flux saisi dans saisi_flux.js
	var xhr = Ti.Network.createHTTPClient();
	
	if (Titanium.Network.online == false)
	{
	        var dlg = Titanium.UI.createAlertDialog({
	        'title' : 'Réseau non détecté',
	        'message' : 'Un réseau 3G ou wifi est nécessaire\n pour utiliser l\'application. ',
	        'buttonNames' : [ 'OK' ]
	    });
	    dlg.show();
		Titanium.App.fireEvent('hide_indicator');
	}
	
	
	function getIndiceEvol(today, hier){
		var strEvol = 'Stabilisation';
		if (today < hier){
			strEvol = 'Amélioration';
		};
		
		if (today > hier){
			strEvol = 'Dégradation';
		};
		
		return strEvol;
	};
	
	//android
	var actInd = Titanium.UI.createActivityIndicator({ height:50, width:10 });
	actInd.show();

	xhr.open("GET","http://www2.airaq.asso.fr/index.php?page=Atmo");
	
	xhr.onload = function(e)
	{
		try
		{
			var doc = this.responseXML.documentElement;
			var items = doc.getElementsByTagName("VILLE");
			
			//alert(items.length);   -> Résultat 9
			
			//length - 1  Car il y a une ligne en trop dans le flux XML
			for (var c=0;c<items.length-1;c++)
			{
				var ligneAtmo = [];
				
				var item = items.item(c);
				
				var id = item.getAttribute("ID");
				
					var villeData = villeAiraq[id];
					
					var indice = item.getAttribute("INDICE_JOUR");
					var indiceColor = "";
					var indiceLibelle = "";
					//alert("indice jour:" + dateHier);
					
					//définition stabilisation / amélioration / dégradation
					indiceEvol = getIndiceEvol(item.getAttribute("INDICE_JOUR"),item.getAttribute("INDICE_HIER"));
					
					//Définition de la couleur et du libellé de l'indice
					switch(indice)
					{
						case "1":
						case "2":
							indiceLibelle = "Très bon";
							indiceColor = "#7FDD4C";
							break;
						
						case "3":
						case "4":
							indiceLibelle = "Bon";
							indiceColor = "#7FDD4C";
							break;
						case "5":
							indiceLibelle = "Moyen";
							indiceColor = "#ED7F10";
							break;
						case "6":
						case "7":
							indiceLibelle = "Médiocre";
							indiceColor = "#ED7F10";
							break;
						case "8":
						case "9":
							indiceLibelle = "Mauvais"
							indiceColor = "#E21313";
							break;
						case "10":
							indiceLibelle = "Très mauvais";
							indiceColor = "#E21313";
							break;
						default:
							indiceLibelle = "Aucun indice";
							indiceColor = "#0000FF";
							indiceEvol = "";
					}
					
					
					//alert("C:"+c+" - "+villeAiraq[c].ville);
					
					dataAtmo.push(
						{
							ville: villeAiraq[c].ville,
							indice_jour: indice,
							couleur: indiceColor,
							longitude: villeAiraq[c].longitude,
							latitude: villeAiraq[c].latitude,
							date_hier: item.getAttribute("DATE_HIER"),
							indice_hier: item.getAttribute("INDICE_HIER"),
							date_jour: item.getAttribute("DATE_JOUR"),
							date_demain : item.getAttribute("DATE_DEMAIN"),
							indice_demain :  item.getAttribute("INDICE_DEMAIN"),
							SO2_jour : item.getAttribute("SO2_JOUR"),
							NO2_jour : item.getAttribute("NO2_JOUR"),
							O3_jour : item.getAttribute("O3_JOUR"),
							PS_jour : item.getAttribute("PS_JOUR"),
							SO2_hier : item.getAttribute("SO2_HIER"),
							NO2_hier : item.getAttribute("NO2_HIER"),
							O3_hier : item.getAttribute("O3_HIER"),
							//PS apparait sous le nom de PM10
							PS_hier : item.getAttribute("PS_HIER"),
							//Bon, très bon, moyen etc.
							libelle : indiceLibelle,
							//Stabilisation, Amélioration, Dégradation
							indice_evol: indiceEvol
						}
					)
			}
		}
		catch(E)
		{
			var dlg = Titanium.UI.createAlertDialog({
	        'title' : 'Réseau non détecté !',
	        'message' : 'Un réseau 3G ou wifi est nécessaire\n pour utiliser l\'application. ',
	        'buttonNames' : [ 'OK' ]
	   		 });
		    dlg.show();
			Titanium.App.fireEvent('hide_indicator');
		}
	
	//On cache le loading Android
	actInd.hide();
	
		
	//On sauvegarde les données pour exploitation dans les autres js
	Ti.App.Properties.setList("dataAtmoSave",dataAtmo);
	
	
	//Ouverture de tabGroup à cette endroit sans quoi les données ne sont pas a jour du premier coup.
	tabGroup.open();
	
	};
	xhr.send();