
//Récupération des données ATMO
var datas = [];
datas = Ti.App.Properties.getList("dataAtmoSave");

//Récupération de la ville sélectionnée
var idVille = Ti.App.Properties.getInt("idVille");

var data = datas[idVille];
var afficheDatas = [];


//Exemple de vue groupée
var table1 =  Titanium.UI.createTableView({
	style:Titanium.UI.iPhone.TableViewStyle.GROUPED,
	touchEnabled:false,
	backgroundColor:'transparent'
	
});

//On récupère le test Android
var isAndroid = Ti.App.Properties.getBool('Android');

var fontSize1 = 17;
var fontSize2 = 14;
	
var imageAndroid = '';
if(true == isAndroid) {
	fontSize1 = 25;
	fontSize2 = 20;
	imageAndroid = '@2x';
}


//Section 
function createSection(ville, indice, so, no, o3, ps, dateIndice, libelle)
{
	var section = Titanium.UI.createTableViewSection();
	section.headerTitle = libelle;
			
	var row = Ti.UI.createTableViewRow({
		backgroundColor:'#EEEEEE'
	});
		
		//Ville
	var label = Ti.UI.createLabel({
	    top:5, left:60,
	    height:'auto',
	    width: 300,
	    text:ville,
	    font:{fontSize: fontSize1, fontFamily: 'Verdana', fontWeight:'bold'},
	    color:'#4D576D',
	    shadowColor:'#FAFAFA',
	   	shadowOffset:{x:0, y:1}
	});
	
	// Détail indice
	var detail = Ti.UI.createLabel({
		//top: 25,
		
		left:60,
		height: 'auto',
		width: 300,
		font:{fontSize: fontSize2, fontFamily: 'Verdana', fontWeight:'normal'},
	    color:'#000000',
	    shadowColor:'#FAFAFA',
	    shadowOffset:{x:0, y:1},
	   	//text: 'SO2: ' + so + ' / NO2: ' + no + ' / 03: ' + o3 + ' / PM: ' + ps
	   	text: 'O3: ' + o3 + ' / PM: ' + ps + ' / N02: ' + no + ' / SO2: '+ so
	});
	
	var logo = Ti.UI.createView({
		height : 48,
		width : 48,
		left: 5,
		top: 5,
		bottom: 5,
		backgroundImage : '../images/'+indice+imageAndroid+'.png'
	});
	
	//Ajout des données dans la ligne
	row.height = 'auto';
	row.add(logo);
	row.add(detail);
	row.titre = ville;
	
	section.add(row);
	
	return section;
}

//Hier
afficheDatas[0] = createSection(data.ville,data.indice_hier, data.SO2_hier, data.NO2_hier, data.O3_hier, data.PS_hier, data.date_hier, "Hier");

//Aujourd'hui
afficheDatas[1] = createSection(data.ville,data.indice_jour, data.SO2_jour, data.NO2_jour, data.O3_jour, data.PS_jour, data.date_jour,"Aujourd'hui");


if (typeof(data.SO2_demain === 'undefined')) {	so = '-';};
if (typeof(data.NO2_demain === 'undefined')) {	no = '-';};
if (typeof(data.O3_demain === 'undefined')) {	o3 = '-';};
if (typeof(data.PS_demain === 'undefined')) {	ps = '-';};

//Demain
afficheDatas[2] = createSection(data.ville,data.indice_demain, so, no, o3, ps, data.date_demain,"Demain");


//Légende
	var section = Titanium.UI.createTableViewSection();
	section.headerTitle = 'Légende';
			
	var row = Ti.UI.createTableViewRow({
		backgroundColor:'#EEEEEE'
	});
		
		//Titre
	var label = Ti.UI.createLabel({
	    top:5, left:60,
	    height:'auto',
	    width: 300,
	    font:{fontSize: fontSize1, fontFamily: 'Verdana', fontWeight:'bold'},
	    color:'#4D576D',
	    shadowColor:'#FAFAFA',
	   	shadowOffset:{x:0, y:1}
	});
	
	// Légende
	var detail = Ti.UI.createLabel({
		left:20,
		height: 'auto',
		width: 300,
		font:{fontSize:fontSize2, fontFamily: 'Verdana', fontWeight:'normal'},
	    color:'#000000',
	    shadowColor:'#FAFAFA',
	    shadowOffset:{x:0, y:1},
		text: 'O3: Ozone\nPM10: Particules en suspension\nNO2: Dioxyde d\'azote \nSO2: Dioxyde de soufre'
	});
		
	//Ajout des données dans la ligne
	row.height = 'auto';
	row.add(detail);
	section.add(row);

afficheDatas[3] = section;

table1.setData(afficheDatas); 
	

var imageFond = Ti.UI.createImageView({
	image: '../images/logo.png',
	opacity: 0.2,
	width: 300,
	height: 300
});


if(false == isAndroid) {
	Titanium.UI.currentWindow.add(imageFond);
};
Titanium.UI.currentWindow.add(table1);