var win = Ti.UI.currentWindow;


//Récupération des données
datas = Ti.App.Properties.getList("dataAtmoSave");

win.title = "Indice du "+ datas[0].date_jour;

var mapView = Ti.Map.createView({
	mapType : Ti.Map.STANDARD_TYPE,
	animate : true,
	region : true,
	userLocation : false
});

win.add(mapView);
	
//Positionnement de la carte sur l'Aquitaine	
mapView.region = {
		latitude : "44.3081",
		longitude : "-0.29958",
		latitudeDelta : 1.5,
		longitudeDelta : 1.5
	};	

//Choix du bouton dans la fenetre en fonction de l'OS
var isAndroid = false;
var imageAndroid = '';
if (Titanium.Platform.name == 'android') {
	isAndroid = true;
	imageAndroid = '@2x';
}

var btnInfo = Ti.UI.iPhone.SystemButton.INFO_LIGHT;

if(true == isAndroid)
{
	btnInfo = '../images/tabstat-blanc.png';
		
};


//Postionnement des points de mesures	
for (var c=0;c<datas.length;c++)
	{
			var annotation = Ti.Map.createAnnotation({
				latitude : datas[c].latitude,
				longitude : datas[c].longitude,
				animate : true,
				title : datas[c].ville,
				/*
				 * Changement, on met le libellé à la place de sous indices. 
				 * subtitle :  'SO2: ' + datas[c].SO2_jour + ' / NO2: ' + datas[c].NO2_jour + ' / 03: ' + datas[c].O3_jour + ' / PS: ' + datas[c].PS_jour,
				 * 
				 */
				subtitle : datas[c].libelle,
				rightButton : btnInfo,
				numeroRepere : c,
				// une image de 48x48 image : '../images/';
				image : '../images/' + datas[c].indice_jour + imageAndroid + '.png',
				
			});
			mapView.addAnnotation(annotation);
};

mapView.addEventListener('click',function(e){
	
	//Si on clique sur l'icone
	if(e.clicksource == 'rightButton' || e.clicksource == 'title' || e.clicksource == "subtitle"){
		
		Ti.App.Properties.setInt("idVille",e.annotation.numeroRepere);	
		var w = Ti.UI.createWindow({
			url:"aff_detail_ville_ATMO.js",
			backgroundColor: '#FFF',
			title:e.annotation.title,
			barColor: "#05478C"
		});
	
	
	//Bouton fermé pour revenir à la liste
			var b = Titanium.UI.createButton({
				title:'Fermer',
				style:Titanium.UI.iPhone.SystemButtonStyle.PLAIN
			});
			w.setLeftNavButton(b);
			b.addEventListener('click',function()
			{
				w.close();
			});
	
		/*
	w.open({modal:true,modalTransitionStyle: Ti.UI.iPhone.MODAL_TRANSITION_STYLE_FLIP_HORIZONTAL,
    modalStyle: Ti.UI.iPhone.MODAL_PRESENTATION_FORMSHEET});
    */
   
	   w.open(
	   	{
	   		modal:true,
	   		modalTransitionStyle: Ti.UI.iPhone.MODAL_TRANSITION_STYLE_CROSS_DISSOLVE,
	    	modalStyle: Ti.UI.iPhone.MODAL_PRESENTATION_FORMSHEET
	    });
		
	};
	/*
	if(e.clicksource == 'title' || e.clicksource == "subtitle") {
		alert("ucu");
	};
*/
});

var vueDate = Ti.UI.createView({
	height:50,
	layout:'vertical',
	//top: (win.height-50),
	top: (Titanium.Platform.displayCaps.platformHeight - 163),
	backgroundColor: '#05478C'
});

var titreVueDate = Ti.UI.createLabel({
		height: 'auto',
		width: 'auto',
		top: 5,
		font: {
			fontSize: 17,
			fontFamily: 'Verdana',
			fontWeight:'bold'
		},
		
		color:'#FFF',
		text: "Indice du "+ datas[0].date_jour,
		textAlign : 'center'
});




vueDate.add(titreVueDate);

if(true == isAndroid)
{
	win.add(vueDate);
	alert('caps:'+Titanium.Platform.displayCaps.platformHeight);
};